diff mbox series

[-next,3/5] selftests/cpu-hotplug: Delete fault injection related code

Message ID 20220830083028.45504-4-zhaogongyi@huawei.com (mailing list archive)
State Superseded
Headers show
Series Optimize and bugfix for cpu-on-off-test.sh | expand

Commit Message

Zhao Gongyi Aug. 30, 2022, 8:30 a.m. UTC
Delete fault injection related code since the module has been deleted.

Signed-off-by: Zhao Gongyi <zhaogongyi@huawei.com>
---
 tools/testing/selftests/cpu-hotplug/config    |   1 -
 .../selftests/cpu-hotplug/cpu-on-off-test.sh  | 105 +-----------------
 2 files changed, 2 insertions(+), 104 deletions(-)
 delete mode 100644 tools/testing/selftests/cpu-hotplug/config

--
2.17.1

Comments

Shuah Khan Aug. 31, 2022, 11:32 p.m. UTC | #1
On 8/30/22 02:30, Zhao Gongyi wrote:
> Delete fault injection related code since the module has been deleted.
> 
> Signed-off-by: Zhao Gongyi <zhaogongyi@huawei.com>
> ---
>   tools/testing/selftests/cpu-hotplug/config    |   1 -
>   .../selftests/cpu-hotplug/cpu-on-off-test.sh  | 105 +-----------------
>   2 files changed, 2 insertions(+), 104 deletions(-)
>   delete mode 100644 tools/testing/selftests/cpu-hotplug/config
> 
> diff --git a/tools/testing/selftests/cpu-hotplug/config b/tools/testing/selftests/cpu-hotplug/config
> deleted file mode 100644
> index d4aca2ad5069..000000000000
> --- a/tools/testing/selftests/cpu-hotplug/config
> +++ /dev/null
> @@ -1 +0,0 @@
> -CONFIG_NOTIFIER_ERROR_INJECTION=y
> diff --git a/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh b/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh
> index 19028c4c9758..ade75d920cd6 100755
> --- a/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh
> +++ b/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh
> @@ -110,19 +110,6 @@ online_cpu_expect_success()
>   	fi
>   }
> 
> -online_cpu_expect_fail()
> -{
> -	local cpu=$1
> -
> -	if online_cpu $cpu 2> /dev/null; then
> -		echo $FUNCNAME $cpu: unexpected success >&2
> -		exit 1
> -	elif ! cpu_is_offline $cpu; then
> -		echo $FUNCNAME $cpu: unexpected online >&2
> -		exit 1
> -	fi
> -}
> -

Keep this code - this could be useful to test the case of running
online test on cpu that is online and expect that to fail.

>   offline_cpu_expect_success()
>   {
>   	local cpu=$1
> @@ -136,22 +123,7 @@ offline_cpu_expect_success()
>   	fi
>   }
> 
> -offline_cpu_expect_fail()
> -{
> -	local cpu=$1
> -
> -	if offline_cpu $cpu 2> /dev/null; then
> -		echo $FUNCNAME $cpu: unexpected success >&2
> -		exit 1
> -	elif ! cpu_is_online $cpu; then
> -		echo $FUNCNAME $cpu: unexpected offline >&2
> -		exit 1
> -	fi
> -}
> -

Keep this code - this could be useful to test the case of running
offline test on cpu that is offline and expect that to fail.

Remove just the fault injection code and these aren't really specific
to fault injection even though they are currently being used by the
fault injection path.

thanks,
-- Shuah
diff mbox series

Patch

diff --git a/tools/testing/selftests/cpu-hotplug/config b/tools/testing/selftests/cpu-hotplug/config
deleted file mode 100644
index d4aca2ad5069..000000000000
--- a/tools/testing/selftests/cpu-hotplug/config
+++ /dev/null
@@ -1 +0,0 @@ 
-CONFIG_NOTIFIER_ERROR_INJECTION=y
diff --git a/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh b/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh
index 19028c4c9758..ade75d920cd6 100755
--- a/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh
+++ b/tools/testing/selftests/cpu-hotplug/cpu-on-off-test.sh
@@ -110,19 +110,6 @@  online_cpu_expect_success()
 	fi
 }

-online_cpu_expect_fail()
-{
-	local cpu=$1
-
-	if online_cpu $cpu 2> /dev/null; then
-		echo $FUNCNAME $cpu: unexpected success >&2
-		exit 1
-	elif ! cpu_is_offline $cpu; then
-		echo $FUNCNAME $cpu: unexpected online >&2
-		exit 1
-	fi
-}
-
 offline_cpu_expect_success()
 {
 	local cpu=$1
@@ -136,22 +123,7 @@  offline_cpu_expect_success()
 	fi
 }

-offline_cpu_expect_fail()
-{
-	local cpu=$1
-
-	if offline_cpu $cpu 2> /dev/null; then
-		echo $FUNCNAME $cpu: unexpected success >&2
-		exit 1
-	elif ! cpu_is_online $cpu; then
-		echo $FUNCNAME $cpu: unexpected offline >&2
-		exit 1
-	fi
-}
-
-error=-12
 allcpus=0
-priority=0
 online_cpus=0
 online_max=0
 offline_cpus=0
@@ -159,31 +131,20 @@  offline_max=0
 present_cpus=0
 present_max=0

-while getopts e:ahp: opt; do
+while getopts ah opt; do
 	case $opt in
-	e)
-		error=$OPTARG
-		;;
 	a)
 		allcpus=1
 		;;
 	h)
-		echo "Usage $0 [ -a ] [ -e errno ] [ -p notifier-priority ]"
+		echo "Usage $0 [ -a ]"
 		echo -e "\t default offline one cpu"
 		echo -e "\t run with -a option to offline all cpus"
 		exit
 		;;
-	p)
-		priority=$OPTARG
-		;;
 	esac
 done

-if ! [ "$error" -ge -4095 -a "$error" -lt 0 ]; then
-	echo "error code must be -4095 <= errno < 0" >&2
-	exit 1
-fi
-
 prerequisite

 #
@@ -231,66 +192,4 @@  for cpu in `hotplaggable_offline_cpus`; do
 	online_cpu_expect_success $cpu
 done

-#
-# Test with cpu notifier error injection
-#
-
-DEBUGFS=`mount -t debugfs | head -1 | awk '{ print $3 }'`
-NOTIFIER_ERR_INJECT_DIR=$DEBUGFS/notifier-error-inject/cpu
-
-prerequisite_extra()
-{
-	msg="skip extra tests:"
-
-	/sbin/modprobe -q -r cpu-notifier-error-inject
-	/sbin/modprobe -q cpu-notifier-error-inject priority=$priority
-
-	if [ ! -d "$DEBUGFS" ]; then
-		echo $msg debugfs is not mounted >&2
-		exit $ksft_skip
-	fi
-
-	if [ ! -d $NOTIFIER_ERR_INJECT_DIR ]; then
-		echo $msg cpu-notifier-error-inject module is not available >&2
-		exit $ksft_skip
-	fi
-}
-
-prerequisite_extra
-
-#
-# Offline all hot-pluggable CPUs
-#
-echo 0 > $NOTIFIER_ERR_INJECT_DIR/actions/CPU_DOWN_PREPARE/error
-for cpu in `hotpluggable_online_cpus`; do
-	offline_cpu_expect_success $cpu
-done
-
-#
-# Test CPU hot-add error handling (offline => online)
-#
-echo $error > $NOTIFIER_ERR_INJECT_DIR/actions/CPU_UP_PREPARE/error
-for cpu in `hotplaggable_offline_cpus`; do
-	online_cpu_expect_fail $cpu
-done
-
-#
-# Online all hot-pluggable CPUs
-#
-echo 0 > $NOTIFIER_ERR_INJECT_DIR/actions/CPU_UP_PREPARE/error
-for cpu in `hotplaggable_offline_cpus`; do
-	online_cpu_expect_success $cpu
-done
-
-#
-# Test CPU hot-remove error handling (online => offline)
-#
-echo $error > $NOTIFIER_ERR_INJECT_DIR/actions/CPU_DOWN_PREPARE/error
-for cpu in `hotpluggable_online_cpus`; do
-	offline_cpu_expect_fail $cpu
-done
-
-echo 0 > $NOTIFIER_ERR_INJECT_DIR/actions/CPU_DOWN_PREPARE/error
-/sbin/modprobe -q -r cpu-notifier-error-inject
-
 exit $retval